//
// 3D Game Programming
// NCTU
// Instructor: SAI-KEUNG WONG
//
#include "TutorialApplication.h"
#include <iostream>
using namespace std;
using namespace Ogre;
BasicTutorial_00::BasicTutorial_00(void) {}

void BasicTutorial_00::chooseSceneManager(void)
{
	mSceneMgr = mRoot
		->createSceneManager(ST_EXTERIOR_CLOSE); 
}

void BasicTutorial_00::createScene(void) 
{
	//mSceneMgr->setSkyDome(true, "Examples/CloudySky", 5, 8);
	
	mSceneMgr->setSkyDome(true, "Examples/MySky", 5, 8);

}

bool BasicTutorial_00::frameStarted(const Ogre::FrameEvent& evt)
{
	cout << "frameStarted" << endl;
	return true;
}
bool BasicTutorial_00::frameRenderingQueued(const Ogre::FrameEvent& evt)
{
	cout << "frameRenderingQueued" << endl;
	return true;
}
bool BasicTutorial_00::frameEnded(const Ogre::FrameEvent& evt)
{
	cout << "frameEnded" << endl;

	return true;
}
int main(int argc, char *argv[]) {
	BasicTutorial_00 app;
	app.go();  
	return 0;
}
